#!/bin/ksh -p

PNUTS_HOME=$(dirname $(whence -p $0))
export CLASSPATH=$PNUTS_HOME/pnuts.jar:$CLASSPATH

integer i=0 j=0
for a in "$@"
do
    case "$a" in
    -J*)
	  flags[i]=${a#-J}
	  i=i+1 ;;
    -v)
          export JAVA_COMPILER=NONE
          args[j]=$a
	  j=j+1 ;;
    *)
          args[j]=$a
	  j=j+1 ;;
    esac
done

if [ -z "$JAVA_HOME" ]
then
    export JAVA_HOME=$(dirname $(which java))/..
fi

exec java "${flags[@]}" pnuts.lang.Pnuts -r init.pnut "${args[@]}"
