/*
 * @(#) Handler.java	1.1 98/08/06
 *
 * Copyright (c) 1997,1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * See the file "license.txt" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package pnuts.ext.jar;

import java.net.URL;
import java.net.URLConnection;
import java.net.URLStreamHandler;
import java.io.IOException;

/**
 * a URLStreamHandler for JarResourceConnection
 *
 * @version	1.1
 * @author	Toyokazu Tomatsu
 */
public class Handler extends URLStreamHandler {
    public URLConnection openConnection(URL u) throws IOException {
	return new JarResourceConnection(u);
    }
}
