/*
 * @(#) Escape.java	1.2 99/06/02
 *
 * Copyright (c) 1997-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * See the file "license.txt" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package pnuts.lang;

/**
 * This class is a special Exception class in a Pnuts runtime in that
 * it's not checked by exception handlers.
 * This class is used to implement quit() function.
 *
 * @see pnuts.lang.Jump
 */
class Escape extends RuntimeException {
    private Object value;

    protected Escape(){
	this(null);
    }

    protected Escape(Object value){
	this.value = value;
    }

    public Object getValue(){
	return value;
    }
}
