/*
 * @(#) Indexed.java	1.1 99/05/06
 *
 * Copyright (c) 1997-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * See the file "license.txt" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package pnuts.lang;

/**
 * <pre>
 * indexed[idx]          ==> indexed.get(idx)
 * indexed[idx] = value  ==> indexed.set(idx, value)
 * </pre>
 */
public interface Indexed {
    public void set(int idx, Object value);
    public Object get(int idx);
}
