
import pnuts.lang.Package;

/**
 * <pre>
 * import("pnuts.demo.pkg.MyPackage")
 * mine = MyPackage("foo")
 * package(mine)
 * </pre>
 */
public class MyPackage extends Package {

    public MyPackage(String name){
	super(name);
    }

    public void set(String sym, Object obj){
	System.out.println("set " + sym + " " + obj);
	super.set(sym, obj);
    }

    public Object get(String sym){
	System.out.println("get " + sym);
	return super.get(sym);
    }

    public void clear(String sym){
	System.out.println("clear " + sym);
	super.clear(sym);
    }
}
