
import java.util.Dictionary;
import pnuts.lang.Property;

/**
 * <pre>e.g.
 * import("pnuts.demo.property.*")
 * dic = DictionaryProperty(Hashtable())
 * dic.foo = 100
 * dic.bar = 200
 * </pre>
 */
public class DictionaryProperty implements Property {
    Dictionary dic;

    public DictionaryProperty(Dictionary dic){
	this.dic = dic;
    }

    public Object get(String name){
	return dic.get(name);
    }

    public void set(String name, Object value){
	dic.put(name, value);
    }

    public Dictionary getDictionary(){
	return dic;
    }
}
