
import java.util.Map;
import pnuts.lang.Property;

/**
 * <pre>e.g.
 * import("pnuts.demo.property.*")
 * map = MapProperty(HashMap())
 * map.foo = 100
 * map.bar = 200
 * </pre>
 */
public class MapProperty implements Property {
    Map map;

    public MapProperty(Map map){
	this.map = map;
    }

    public Object get(String name){
	return map.get(name);
    }

    public void set(String name, Object value){
	map.put(name, value);
    }

    public Map getMap(){
	return map;
    }
}
