
import java.net.*;
import java.io.*;

public class PnutsClient implements Runnable {

    InputStream in;
    PrintStream out;

    PnutsClient(String host, int port){
	try {
	    Socket socket = new Socket(host, port);
	    in = socket.getInputStream();
	    out = new PrintStream(socket.getOutputStream());
	    Thread th = new Thread(this);
	    th.setDaemon(true);
	    th.setPriority(3);
	    th.start();
	} catch (Exception e){
	    e.printStackTrace();
	}
    }

    void doAll(){
	while (true){
	    try {
		int c = in.read();
	        if (c == -1) break;
		System.out.write(c);
		if (in.available() == 0){
		    System.out.flush();
		}
	    } catch (Exception e){}
	}
    }

    public void run(){
	try {
	    DataInputStream din = new DataInputStream(System.in);
	    String line = null;
	    while ((line = din.readLine()) != null){
		out.println(line);
	    }
	} catch (Exception e){
	    e.printStackTrace();
	}
    }

    public static void main(String a[]){
	new PnutsClient(a[0], Integer.parseInt(a[1])).doAll();
    }
}
