/*
 * @(#) PackageFactory.java	1.1 99/04/02
 *
 * Copyright (c) 1997-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * See the file "license.txt" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package pnuts.lang;

/**
 * When an instance of this interface is registered by
 * Package::setPackageFactory() method, package() builtin
 * function calls its createPackage() method.
 *
 * @see		Package
 * @version	1.1
 * @since	Pnuts 1.0beta3
 */
public interface PackageFactory {
    public Package createPackage(String pkgName);
}
