/*
 * @(#) QuantityFactory.java	1.2 98/09/04
 *
 * Copyright (c) 1997,1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * See the file "license.txt" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package pnuts.lang;

/**
 * A factory class for unit numbers.
 * See <a href="/pnuts/doc/lang.html#units">The language specification</a>
 * for details.
 *
 * @version	1.2
 * @author	Toyokazu Tomatsu
 */
public interface QuantityFactory {
    Object make(Number number, String unit);
}
